Package org.apache.lucene.analysis.core

# Class UnicodeWhitespaceAnalyzer

java.lang.Object
org.apache.lucene.analysis.Analyzer
org.apache.lucene.analysis.core.UnicodeWhitespaceAnalyzer

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

public final class UnicodeWhitespaceAnalyzer extends Analyzer
An Analyzer that uses `UnicodeWhitespaceTokenizer`.

Since:
  5.4.0

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.lucene.analysis.Analyzer

`Analyzer.ReuseStrategy, Analyzer.TokenStreamComponents`

## Field Summary

### Fields inherited from class org.apache.lucene.analysis.Analyzer

`GLOBAL_REUSE_STRATEGY, PER_FIELD_REUSE_STRATEGY`

## Constructor Summary

Constructors
Constructor
Description
`UnicodeWhitespaceAnalyzer()`
Creates a new `UnicodeWhitespaceAnalyzer`

## Method Summary

Modifier and Type
Method
Description
`protected Analyzer.TokenStreamComponents`
`createComponents(String fieldName)`

### Methods inherited from class org.apache.lucene.analysis.Analyzer

`attributeFactory, close, getOffsetGap, getPositionIncrementGap, getReuseStrategy, initReader, initReaderForNormalization, normalize, normalize, tokenStream, tokenStream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UnicodeWhitespaceAnalyzer

public UnicodeWhitespaceAnalyzer()
Creates a new `UnicodeWhitespaceAnalyzer`

## Method Details

### createComponents

protected Analyzer.TokenStreamComponents createComponents(String fieldName)

Specified by:
  `createComponents` in class `Analyzer`